FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

List Plans

Obtain a list of energy plans that are offered to the market.

AI Actions
GET
/v1/energy/plans

Obtain a list of energy plans that are offered to the market.

Query Parameters

retailer_idstring

A unique identifier for the Retailer object. It must be a valid CDR brand id, you can use AER website to know all available retailers. Exactly one of retailer_id or institution_id parameters is required.

institution_idstring

A unique identifier for the Institution object. It must be a valid ID fetched from Institutions API. Exactly one of retailer_id or institution_id parameters is required.

statusstring

Filter plans by status. Allowed values: active, all. Defaults to active.

Value in"\"active\"" | "\"all\""
page[before]string

When the page[before] is specified, backwards pagination is achieved

page[after]string

When the page[after] is specified, forwards pagination is achieved

page[size]integer

When the page[size] is specified, no more than page[size] resources will be included in the response's data field. This parameter is set to a sensible default, which varies depending on the endpoint. It is capped at 1000.

Response Body

application/json

application/json

curl -X GET "https://api.fiskil.com/v1/energy/plans"
{
  "plans": [
    {
      "additional_information": {
        "bundle_uri": "https://example.com/bundles",
        "eligibility_uri": "https://example.com/eligibility",
        "overview_uri": "https://example.com/overview",
        "pricing_uri": "https://example.com/pricing",
        "terms_uri": "https://example.com/terms"
      },
      "application_uri": "https://example.com/apply",
      "brand": "Brand123",
      "brand_name": "ACME Energy",
      "customer_type": "RESIDENTIAL",
      "description": "A simple flat-rate residential energy plan.",
      "display_name": "Everyday Simple",
      "effective_from": "2023-01-01T00:00:00Z",
      "effective_to": "2025-01-01T00:00:00Z",
      "fuel_type": "ELECTRICITY",
      "geography": {
        "distributors": [
          "Ausgrid"
        ],
        "excluded_postcodes": [
          "3000",
          "3001"
        ],
        "included_postcodes": [
          "4000",
          "4001"
        ]
      },
      "institution_id": "140",
      "institution_name": "ACME Energy Corp.",
      "last_updated": "2024-09-15T12:34:56Z",
      "plan_id": "89e4cf54-1228-473f-aa99-38fcc7c6cc4d",
      "type": "MARKET"
    }
  ],
  "links": {
    "next": "https://api.fiskil.com/v1/accounts?page[after]=x",
    "prev": "https://api.fiskil.com/v1/accounts?page[before]=x"
  }
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}

Was this page helpful?

List payment schedulesGet energy plan details